<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: HokuyoUTM30Lx.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_hokuyo_u_t_m30_lx_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">HokuyoUTM30Lx.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_hokuyo_u_t_m30_lx_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef HOKUYOUTM30LX_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define HOKUYOUTM30LX_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_thread_8h.html">Thread.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_laser_range_finder_8h.html">LaserRangeFinder.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_mutex_8h.html">Mutex.h</a>&gt;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;queue&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;{</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">namespace </span>core</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    {</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">class </span>cvmatrix;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keyword">class </span>FrameworkManager;</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keyword">class </span>SerialPort;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keyword">class </span>Mutex;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    }</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keyword">class </span>Tab;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="keyword">class </span>TabWidget;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keyword">class </span>RangeFinderPlot;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    }</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;{</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>sensor</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;{</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html">   44</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html">HokuyoUTM30Lx</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_thread.html">core::Thread</a>, <span class="keyword">public</span> <a class="code" href="classframework_1_1sensor_1_1_laser_range_finder.html">LaserRangeFinder</a></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    {</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a8465ebff27a39992c5c657d7df5944ed">HokuyoUTM30Lx</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,<a class="code" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *serialport,uint8_t priority);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <span class="keywordtype">void</span> getMesure(<span class="keywordtype">int</span> startStep, <span class="keywordtype">int</span> endStep,<span class="keywordtype">int</span> clusterCount, <span class="keywordtype">int</span> interval, <span class="keywordtype">int</span> scanNumber=0);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a>* getDatas(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a5c6920d356be6c731ada2b1e4b3a7b4c">UseDefaultPlot</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            <a class="code" href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a75a7d91aeab41ceded9bfe42c42d3769">~HokuyoUTM30Lx</a>();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            <a class="code" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *serialport;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <a class="code" href="classframework_1_1core_1_1_mutex.html">core::Mutex</a>* bufRetMut;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <a class="code" href="classframework_1_1core_1_1_mutex.html">core::Mutex</a>* sendingCmdMut;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab.html">gui::Tab</a>* main_tab;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_tab_widget.html">gui::TabWidget</a>* tab;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_range_finder_plot.html">gui::RangeFinderPlot</a>* plot;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <span class="comment">//matrix</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <a class="code" href="classframework_1_1core_1_1cvmatrix.html">core::cvmatrix</a> *output;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;                        std::queue&lt;std::string&gt; bufRet;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="keywordtype">void</span> Run(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;            std::string sendCommand(std::string command);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;            <span class="keywordtype">void</span> startLaser(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                        <span class="keywordtype">void</span> stopLaser(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                    <span class="keywordtype">void</span> resetConfig(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;                    <span class="keywordtype">void</span> decodeDatas(std::vector&lt;std::string&gt; datas, <span class="keywordtype">int</span> startStep);</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;                        <span class="keyword">static</span> std::vector&lt;std::string&gt; explode(<span class="keyword">const</span> std::string str, <span class="keywordtype">char</span> delimiter);</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                        <span class="keyword">static</span> <span class="keywordtype">int</span> encodeSum(<span class="keyword">const</span> <span class="keywordtype">char</span>* code, <span class="keywordtype">int</span> byte);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;                        <span class="keyword">static</span> <span class="keywordtype">bool</span> checkSum(std::string data);</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;                        <span class="keyword">static</span> <span class="keywordtype">float</span> decode2car(<span class="keyword">const</span> <span class="keywordtype">char</span>* data);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;                        <span class="keyword">static</span> <span class="keywordtype">float</span> decode3car(<span class="keyword">const</span> <span class="keywordtype">char</span>* data);</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;                        <span class="keyword">static</span> <span class="keywordtype">float</span> decode4car(<span class="keyword">const</span> <span class="keywordtype">char</span>* data);</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data){};</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    };</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;} <span class="comment">// end namespace sensor</span></div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;} <span class="comment">// end namespace framewor</span></div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;<span class="preprocessor">#endif // HOKUYOUTM30LX_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1cvmatrix_html"><div class="ttname"><a href="classframework_1_1core_1_1cvmatrix.html">framework::core::cvmatrix</a></div><div class="ttdoc">Class defining a matrix of kind CvMat. </div><div class="ttdef"><b>Definition:</b> cvmatrix.h:28</div></div>
<div class="ttc" id="classframework_1_1core_1_1_serial_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_serial_port.html">framework::core::SerialPort</a></div><div class="ttdoc">Base class for serial port. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:23</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx_html_a5c6920d356be6c731ada2b1e4b3a7b4c"><div class="ttname"><a href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a5c6920d356be6c731ada2b1e4b3a7b4c">framework::sensor::HokuyoUTM30Lx::UseDefaultPlot</a></div><div class="ttdeci">void UseDefaultPlot(void)</div><div class="ttdoc">Use default plot. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_thread_html"><div class="ttname"><a href="classframework_1_1core_1_1_thread.html">framework::core::Thread</a></div><div class="ttdoc">Abstract class for a thread. </div><div class="ttdef"><b>Definition:</b> Thread.h:34</div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html">framework::sensor::HokuyoUTM30Lx</a></div><div class="ttdoc">Classe intégrant le telemetre laser Hokuyo UTM 30lx. </div><div class="ttdef"><b>Definition:</b> HokuyoUTM30Lx.h:44</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_range_finder_plot_html"><div class="ttname"><a href="classframework_1_1gui_1_1_range_finder_plot.html">framework::gui::RangeFinderPlot</a></div><div class="ttdoc">Class displaying a 2D plot on the ground station for laser range finder like Hokuyo. </div><div class="ttdef"><b>Definition:</b> RangeFinderPlot.h:35</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx_html_a8465ebff27a39992c5c657d7df5944ed"><div class="ttname"><a href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a8465ebff27a39992c5c657d7df5944ed">framework::sensor::HokuyoUTM30Lx::HokuyoUTM30Lx</a></div><div class="ttdeci">HokuyoUTM30Lx(const core::FrameworkManager *parent, std::string name, core::SerialPort *serialport, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_laser_range_finder_html"><div class="ttname"><a href="classframework_1_1sensor_1_1_laser_range_finder.html">framework::sensor::LaserRangeFinder</a></div><div class="ttdoc">Classe generique intégrant les telemetres laser. </div><div class="ttdef"><b>Definition:</b> LaserRangeFinder.h:40</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_widget_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab_widget.html">framework::gui::TabWidget</a></div><div class="ttdoc">Class displaying a QTabWidget on the ground station. </div><div class="ttdef"><b>Definition:</b> TabWidget.h:27</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx_html_a75a7d91aeab41ceded9bfe42c42d3769"><div class="ttname"><a href="classframework_1_1sensor_1_1_hokuyo_u_t_m30_lx.html#a75a7d91aeab41ceded9bfe42c42d3769">framework::sensor::HokuyoUTM30Lx::~HokuyoUTM30Lx</a></div><div class="ttdeci">~HokuyoUTM30Lx()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="_thread_8h_html"><div class="ttname"><a href="_thread_8h.html">Thread.h</a></div><div class="ttdoc">Abstract class for a thread. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_tab_html"><div class="ttname"><a href="classframework_1_1gui_1_1_tab.html">framework::gui::Tab</a></div><div class="ttdoc">Class displaying a QTab on the ground station. </div><div class="ttdef"><b>Definition:</b> Tab.h:27</div></div>
<div class="ttc" id="_laser_range_finder_8h_html"><div class="ttname"><a href="_laser_range_finder_8h.html">LaserRangeFinder.h</a></div><div class="ttdoc">Classe generique des telemetres laser. </div></div>
<div class="ttc" id="_mutex_8h_html"><div class="ttname"><a href="_mutex_8h.html">Mutex.h</a></div><div class="ttdoc">Class defining a mutex. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_mutex_html"><div class="ttname"><a href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></div><div class="ttdoc">Class defining a mutex. </div><div class="ttdef"><b>Definition:</b> Mutex.h:27</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_ebc679b331e9832181885980c13d7a0f.html">SensorActuator</a></li><li class="navelem"><a class="el" href="dir_a3adf9203c955b1977c072f893948685.html">src</a></li><li class="navelem"><a class="el" href="_hokuyo_u_t_m30_lx_8h.html">HokuyoUTM30Lx.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
